UserTransactionServer (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.icatch.jta

## Interface UserTransactionServer

- All Superinterfaces:
    java.rmi.Remote
  All Known Implementing Classes:
    _UserTransactionServer_Stub, UserTransactionServerImp, UserTransactionServerImp_Stub

      public interface UserTransactionServer
      extends java.rmi.Remote

  An RMI-based server interface that allows remote clients to do client-demarcated transaction management. This interface is used by our RemoteClientUserTransaction.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `begin(int timeout)` Create a new transaction.
    `void` | `commit(java.lang.String tid)` Commit the transaction.
    `int` | `getStatus(java.lang.String tid)` Get the status of the transaction.
    `void` | `rollback(java.lang.String tid)` Rollback the transaction.
    `void` | `setRollbackOnly(java.lang.String tid)` Mark the transaction for rollback only.

- - ### Method Detail

    - #### begin

          java.lang.String begin(int timeout)
                                 throws java.rmi.RemoteException,
                                        javax.transaction.SystemException,
                                        javax.transaction.NotSupportedException

      Create a new transaction.
      Parameters:
        `timeout` - The timeout setting of the client UserTx.
      Returns:
        String The tid of the transaction.
      Throws:
        `java.rmi.RemoteException`
        `javax.transaction.SystemException`
        `javax.transaction.NotSupportedException`

    - #### commit

          void commit(java.lang.String tid)
                      throws java.rmi.RemoteException,
                             javax.transaction.RollbackException,
                             javax.transaction.HeuristicMixedException,
                             javax.transaction.HeuristicRollbackException,
                             java.lang.SecurityException,
                             java.lang.IllegalStateException,
                             javax.transaction.SystemException

      Commit the transaction.
      Parameters:
        `tid` - The tid of the tx to commit.
      Throws:
        `java.rmi.RemoteException`
        `javax.transaction.RollbackException`
        `javax.transaction.HeuristicMixedException`
        `javax.transaction.HeuristicRollbackException`
        `java.lang.SecurityException`
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`

    - #### rollback

          void rollback(java.lang.String tid)
                        throws java.rmi.RemoteException,
                               java.lang.IllegalStateException,
                               java.lang.SecurityException,
                               javax.transaction.SystemException

      Rollback the transaction.
      Parameters:
        `tid` - The tid of the transaction to rollback.
      Throws:
        `java.rmi.RemoteException`
        `java.lang.IllegalStateException`
        `java.lang.SecurityException`
        `javax.transaction.SystemException`

    - #### setRollbackOnly

          void setRollbackOnly(java.lang.String tid)
                               throws java.rmi.RemoteException,
                                      java.lang.IllegalStateException,
                                      javax.transaction.SystemException

      Mark the transaction for rollback only.
      Parameters:
        `tid` - The tid of the transaction to mark.
      Throws:
        `java.rmi.RemoteException`
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`

    - #### getStatus

          int getStatus(java.lang.String tid)
                        throws java.rmi.RemoteException,
                               javax.transaction.SystemException

      Get the status of the transaction.
      Parameters:
        `tid` - The tid.
      Returns:
        int The status, as defined in JTA.
      Throws:
        `java.rmi.RemoteException`
        `javax.transaction.SystemException`

Copyright © 2018. All Rights Reserved.